<?php
/******************************************************************************/
//                               © lokanaft                                   //
/******************************************************************************/

class p_root_path extends cmsPlugin {

    public $info = array(
        'plugin'        => 'p_root_path',
        'title'         => 'Root Path',
        'description'   => 'Позволяет открываться компонентам из корневого каталога без префикса',
        'author'        => '<a href="http://www.instantcms.ru/users/lokanaft#upr_p_services">lokanaft</a>',
        'version'       => '0.2b'
    );

    public $config = array(
        'Components' => 'users'
    );

    public $events = array(
        'URL_WITHOUT_COM_NAME'
    );

// ========================================================================== //

    public function execute($event = '', $item = array()){
        switch ($event){
            case 'URL_WITHOUT_COM_NAME': return $this->comName($item);
        }
        return $item;
    }

    private function comName($item) {
        $components = explode(',', $this->config['Components']);
        return array_merge($components, $item);
    }
}
